Apiaccount
Start a CLI sign-in (device flow)
POST
Returns a userCode to show in the terminal and a deviceCode to poll with. The user approves at verificationUriComplete while signed in.
application/json- body
clientName?stringLength
length <= 60hostname?stringLength
length <= 120platform?stringLength
length <= 60Started
application/json- response
deviceCode*stringuserCode*stringverificationUri*stringverificationUriComplete*stringexpiresIn*numberinterval*numbercurl -X POST 'https://latex-api.crafter.run/v1/auth/device' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "deviceCode": "string", "userCode": "string", "verificationUri": "string", "verificationUriComplete": "string", "expiresIn": 0, "interval": 0}